class ActiveRecord::Base
  #should be called with stmt, params...
  def self.execute_sql(*sql_array)
    # puts "test sql_array"+sql_array.inspect
    if (sql_array.length > 1) then
      connection.execute(send(:sanitize_sql_array, sql_array))
    else
      connection.execute(sql_array.first)
    end
  end

  def self.query_sql(*sql_array)
    if (sql_array.length > 1) then
      connection.query(send(:sanitize_sql_array, sql_array))
    else
      connection.query(sql_array.first)
    end
  end
end
